# Clang 22.1.2 documentation

## diagtool - clang diagnostics tool

## SYNOPSIS

diagtool command [args]

## DESCRIPTION

diagtool is a combination of four tools for dealing with diagnostics in clang.

## SUBCOMMANDS

diagtool is separated into several subcommands each tailored to a different purpose. A brief summary of each command follows, with more detail in the sections that follow.

> - find-diagnostic-id - Print the id of the given diagnostic.

> - list-warnings - List warnings and their corresponding flags.

> - show-enabled - Show which warnings are enabled for a given command line.

> - tree - Show warning flags in a tree view.

### find-diagnostic-id

diagtool find-diagnostic-id diagnostic-name

### list-warnings

diagtool list-warnings

### show-enabled

diagtool show-enabled [options] filename …

### tree

diagtool tree [diagnostic-group]